Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.validate
Class PlatformVerifier

    java.lang.Object
      com.saxonica.validate.PlatformVerifier

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JavaVerifier

    public abstract class PlatformVerifier

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`PlatformVerifier()`

Method Summary
`void` | `displayLicenseMessage()` Display a message about the license status
`String` | `getFeature(String name)` This method is called to get the feature of the license.
`abstract void` | `loadLicense()`
`abstract void` | `supplyLicenseKey(BufferedReader reader)` This method allows the contents of a license key to be supplied programmatically.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlatformVerifier

    public PlatformVerifier()

Method Detail

### loadLicense

    public abstract void loadLicense()

### supplyLicenseKey

    public abstract void supplyLicenseKey(BufferedReader reader)

  This method allows the contents of a license key to be supplied programmatically. This must be a license file as issued to authorized OEM distributors of Saxon-SA.

  Parameters:
    `reader` - A reader that will be used to read the contents of the license file (for example, a StringReader)
  Throws:
    `IllegalArgumentException` - if the key supplied is not a valid OEM license key

### getFeature

    public String getFeature(String name)

  This method is called to get the feature of the license.

  Returns:
    the feature value of the license.

### displayLicenseMessage

    public void displayLicenseMessage()

  Display a message about the license status

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.